﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication4
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();


            List<DataRow> list = new List<DataRow>();

            for(int i=0; i<100; i++)
                list.Add(new DataRow() { Name = "Fox", Value = 1234.45 });

            grid.DataSource = list;

            //grid.DisplayLayout.Override.SummaryDisplayArea = Infragistics.Win.UltraWinGrid.SummaryDisplayAreas.BottomFixed | Infragistics.Win.UltraWinGrid.SummaryDisplayAreas.GroupByRowsFooter;
            grid.DisplayLayout.Override.SummaryDisplayArea = Infragistics.Win.UltraWinGrid.SummaryDisplayAreas.BottomFixed;
            grid.DisplayLayout.Override.SummaryFooterCaptionVisible = Infragistics.Win.DefaultableBoolean.True;

            //grid.DisplayLayout.Bands[0].Summaries.Add(Infragistics.Win.UltraWinGrid.SummaryType.Count, grid.DisplayLayout.Bands[0].Columns["mit_ID"]);

            var sumSettings = grid.DisplayLayout.Bands[0].Summaries.Add("Value", Infragistics.Win.UltraWinGrid.SummaryType.Sum, grid.DisplayLayout.Bands[0].Columns["Value"]);

            sumSettings.Appearance.ResetImage();
            sumSettings.Appearance.Image = Resource1.sum.ToBitmap();
            sumSettings.Appearance.ImageHAlign = Infragistics.Win.HAlign.Left;
            sumSettings.Appearance.ImageVAlign = Infragistics.Win.VAlign.Middle;
            sumSettings.Appearance.TextHAlign = Infragistics.Win.HAlign.Right;
            sumSettings.Appearance.TextVAlign = Infragistics.Win.VAlign.Middle;
        }
    }

    public class DataRow
    {
        public string Name { get; set; }
        public double Value { get; set; }
    }
}
